Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuNetwork Class Reference

Base class for all network handlers. More...

`#include <XFuNetwork.h>`

Inheritance diagram for XFuNetwork:

[legend]
List of all members.

## Public Member Functions
virtual | ~XFuNetwork ()
| Virtual destructor.
virtual void | closeService ()=0
| Closes the currently active service (communication handler).
virtual XFcClientCommWin * | getClient (INT32 aClientId)=0
| Returns the specified client.
virtual INT32 | addClient (XFcAddress *aAddress, INT32 aTimeoutTime=15000)=0
| Adds a client with the specific address.
virtual void | removeClient (INT32 aClientId)=0
| Removes the specified client.
virtual void | removeAllClients ()=0
| Removes all clients.
virtual XFcDataReceiver * | getDefaultDataReceiver ()=0
| Returns a pointer to the default data receiver.
virtual void | setDefaultDataReceiver (XFcDataReceiver *aReceiver)=0
| Sets the default data receiver.
virtual XFcDataReceiver * | getDataReceiver (UINT32 aId)=0
| Returns the specified data receiver.
virtual INT | addDataReceiver (UINT32 aId, XFcDataReceiver *aReceiver)=0
| Adds a new data receiver.
virtual XFcDataReceiver * | removeDataReceiver (UINT32 aId)=0
| Removes a data receiver.
virtual XFcObjectDataFrame * | getPacketFrame (INT32 aClientId, XFCNET_MESSAGE_SLOT aSlot)=0
| Get packet frame.
virtual XFcObjectDataFrame * | getRecentStateFrame (INT32 aClientId, INT32 aRecentId)=0
| Get recent state frame.
virtual void | removeRecentStateFrame (INT32 aClientId, INT32 aRecentId)=0
| Remove recent state frame.
virtual void | addEventHandler (XFuNetworkEventHandler *aHandler)=0
| Adds a communication event handler.
virtual void | removeEventHandler (XFuNetworkEventHandler *aHandler)=0
| Removes a communication event handler.
virtual void | removeAllEventHandlers ()=0
| Removes all communication event handlers.
virtual void | runCommunicationScheduler ()=0
| Runs the communication scheduler.

## Detailed Description

Base class for all network handlers.

Definition at line 24 of file XFuNetwork.h.

## Constructor & Destructor Documentation

virtual XFuNetwork::~XFuNetwork | ( |  | ) | `[inline, virtual]`

| Virtual destructor. Definition at line 30 of file XFuNetwork.h.

## Member Function Documentation

virtual INT32 XFuNetwork::addClient | ( | XFcAddress * | aAddress,
|  | INT32 | aTimeoutTime = 15000
| ) | `[pure virtual]`

| Adds a client with the specific address. Returns: The client id or XFCNET_CLIENTADD_ERROR if failed. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual INT XFuNetwork::addDataReceiver | ( | UINT32 | aId,
|  | XFcDataReceiver * | aReceiver
| ) | `[pure virtual]`

| Adds a new data receiver. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::addEventHandler | ( | XFuNetworkEventHandler * | aHandler | ) | `[pure virtual]`

| Adds a communication event handler. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::closeService | ( |  | ) | `[pure virtual]`

| Closes the currently active service (communication handler). Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcClientCommWin* XFuNetwork::getClient | ( | INT32 | aClientId | ) | `[pure virtual]`

| Returns the specified client. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcDataReceiver* XFuNetwork::getDataReceiver | ( | UINT32 | aId | ) | `[pure virtual]`

| Returns the specified data receiver. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcDataReceiver* XFuNetwork::getDefaultDataReceiver | ( |  | ) | `[pure virtual]`

| Returns a pointer to the default data receiver. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcObjectDataFrame* XFuNetwork::getPacketFrame | ( | INT32 | aClientId,
|  | XFCNET_MESSAGE_SLOT | aSlot
| ) | `[pure virtual]`

| Get packet frame. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcObjectDataFrame* XFuNetwork::getRecentStateFrame | ( | INT32 | aClientId,
|  | INT32 | aRecentId
| ) | `[pure virtual]`

| Get recent state frame. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::removeAllClients | ( |  | ) | `[pure virtual]`

| Removes all clients. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::removeAllEventHandlers | ( |  | ) | `[pure virtual]`

| Removes all communication event handlers. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::removeClient | ( | INT32 | aClientId | ) | `[pure virtual]`

| Removes the specified client. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual XFcDataReceiver* XFuNetwork::removeDataReceiver | ( | UINT32 | aId | ) | `[pure virtual]`

| Removes a data receiver. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::removeEventHandler | ( | XFuNetworkEventHandler * | aHandler | ) | `[pure virtual]`

| Removes a communication event handler. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::removeRecentStateFrame | ( | INT32 | aClientId,
|  | INT32 | aRecentId
| ) | `[pure virtual]`

| Remove recent state frame. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::runCommunicationScheduler | ( |  | ) | `[pure virtual]`

| Runs the communication scheduler. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

virtual void XFuNetwork::setDefaultDataReceiver | ( | XFcDataReceiver * | aReceiver | ) | `[pure virtual]`

| Sets the default data receiver. Implemented in XFuBluetoothMultiNetwork, XFuBluetoothNetwork, and XFuInetNetwork.

The documentation for this class was generated from the following file:

- XFuNetwork.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch